﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Microsoft.EntityFrameworkCore;

namespace EFLol
{
	public class MyDbContext : DbContext
	{
		public DbSet<ChampionEntity> Champions { get; set; }

		public MyDbContext()
		{ }

		public MyDbContext(DbContextOptions<MyDbContext> options)
			: base(options)
		{ }

		protected override void OnConfiguring(DbContextOptionsBuilder optionsBuilder)
		{
			if (!optionsBuilder.IsConfigured)
			{
				//optionsBuilder.UseSqlServer("Data Source=loldb.db");
				optionsBuilder.UseSqlite("Data Source=loldb.db");
			}
		}
	}
}
